cPanel® Blog

Tomcat support in CentOS 7

Tomcat has had a great run with cPanel & WHM. Unfortunately, there are times in life when you know it’s time to say goodbye and gracefully remove yourself from the spotlight to allow others to get the chance to shine.

As you may know, cPanel will provide its first release of CentOS 7 support starting with cPanel & WHM version 11.50. For a variety of reasons, we will not be supporting Tomcat in CentOS 7.

The Tomcat version that cPanel currently supports is out of date and not supported by CentOS 7. Updating Tomcat to a newer version requires many dependency changes that cannot be fulfilled by the OS directly. Less than 0.1% of our user base uses Tomcat, and we feel that the amount of effort that it would take to get Tomcat running on CentOS 7 is better spent on EasyApache 4 and future expansion.

Our upcoming EasyApache release will ensure that Tomcat is no longer be available in either the EasyApache interface or the command line tools for servers running CentOS 7 or higher.

While it’s possible that Tomcat support will come back eventually, at this time our focus is shifting to EasyApache 4 and making the web stack expandable and customizable.